<template>
  <div id="page-control-panel-videos">
    <!-- Breadcrumb -->
    <v-container>
      <v-row>
        <v-col cols="12" xs="12" sm="12" md="12">
          <BreadcrumbUtils :items_breadcrumbs_props="items_breadcrumbs" />
        </v-col>
      </v-row>
    </v-container>

    <!-- Title  -->
    <v-container class="mb-5">
      <v-row>
        <v-col cols="12" xs="12" sm="12" md="8">
          <h1 class="title-h2-sistem family-lato-black warning--text">
            {{ $t("categories.overview") }}

            <v-btn
              icon
              color="info"
              @click="
                view_video_explanatory_page = !view_video_explanatory_page
              "
            >
              <v-icon>mdi-hand-clap</v-icon>
            </v-btn>
          </h1>
        </v-col>
      </v-row>
    </v-container>

    <!-- Card Explanatory Video -->
    <v-container v-if="view_video_explanatory_page" class="mb-10">
      <v-row>
        <v-col cols="12" xs="12" sm="12" md="12">
          <ExplanatoryVideoCard />
        </v-col>
      </v-row>
    </v-container>

    <!-- Card -->
    <v-container>
      <v-card flat class="rounded-lg">
        <v-card-text>
          <p>
            {{ $t("global.mensager.avaliable_code.title") }}
          </p>
          <p>{{ $t("global.mensager.avaliable_code.item_1") }}</p>
          <p>{{ $t("global.mensager.avaliable_code.item_2") }}</p>
          <p>
            {{ $t("global.mensager.avaliable_code.note") }}
          </p>
        </v-card-text>
      </v-card>
    </v-container>
  </div>
</template>
<script>
import BreadcrumbUtils from "@/components/Breadcrumb/Global/BreadcrumbPortal.vue";
import ExplanatoryVideoCard from "@/components/Cards/Videos/ExplanatoryVideoCard.vue";

export default {
  layout: "dashboard",
  components: {
    BreadcrumbUtils,
    ExplanatoryVideoCard,
  },
  asyncData() {
    return {
      items_breadcrumbs: [
        {
          text: "template.dashboard",
          disabled: true,
          href: "videos",
        },
      ],
    };
  },

  data() {
    return {
      view_video_explanatory_page: false,
    };
  },
};
</script>

<style>
#page-control-panel-videos .order-page-index .v-text-field--outlined fieldset {
  color: var(--info) !important;
}

#page-control-panel-videos .order-page-index .v-text-field--outlined i {
  color: var(--info) !important;
}
</style>
